const { withProjectBuildGradle } = require('@expo/config-plugins')

module.exports = function withKochava(config) {
    return withProjectBuildGradle(config, (config) => {
        if(!config.modResults.contents.includes('react-native-kochava-tracker')){
            config.modResults.contents += `
allprojects {
    repositories {
        flatDir {
            dirs "$rootDir/../node_modules/react-native-kochava-tracker/android/libs"
        }
    }
}
        `;
        }
        return config;
    })
}