require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "react-native-kochava-tracker"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.homepage     = "https://www.kochava.com/"
  s.license      = { :type => "Commercial", :file => "LICENSE" }
  s.authors      = { "Kochava" => "support@kochava.com" }
  s.source = { :git => '' }

  s.swift_version = '5.0'
  s.ios.deployment_target = '12.4'
  s.tvos.deployment_target = '12.4'

  s.source_files = "ios/Classes/*.{h,m,swift}"
  s.requires_arc = true
  s.vendored_frameworks = 'ios/Frameworks/KochavaCore.xcframework', 'ios/Frameworks/KochavaTracker.xcframework'

  s.dependency "React"
end
